=== debian/changelog ===
gdm3 (49~beta-0ubuntu2) questing; urgency=medium

  * Merge with Debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.sysusers: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
    + debian/greeter.dconf-defaults: keep smartcard auth enabled by default
    + New upstream release 49~beta
      - d/control: Drop dependency on dbus-daemon
      - d/control: Require gnome-session 49~beta
      - d/rules: Drop meson options working-dir, screenshot-dir,
        ran-once-marker-dir
    + Disable x11 greeter
      - d/rules: Disable x11-support flag
      - d/control: Drop unused build-deps
      - d/control: Drop long unused dependency on Xephyr
      - d/control: Drop dependency on Xorg

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 18 Aug 2025 21:10:23 +0200

gdm3 (48.0-3) unstable; urgency=medium

  * Team upload

  [ Luca Boccassi ]
  * Use a sysusers.d file to create the Debian-gdm user.
    This allows /usr-only images with an ephemeral/factory reset/firstboot
    /etc/. (Closes: #1107682)

  [ Simon McVittie ]
  * Activate dh_installsysusers declaratively rather than imperatively.
    This lets debhelper choose a good point in the sequence for it.
  * d/gdm3.postrm, d/control: Don't delete system user/group during purge.
    In previous discussions like #1006912 there seems to be consensus
    that removing uids is dangerous because there might still be files
    owned by that uid on the filesystem, causing unintended access to be
    granted if the uid is subsequently reused for a different system user.
    This also means we can drop the adduser dependency.
  * Build-depend on gir1.2-*-dev instead of libgirepository1.0-dev.
    libgirepository1.0-dev is not Multi-Arch co-installable and should be
    phased out during the forky release cycle.
  * d/control, d/rules: Let the package be cross-compiled.
    debhelper currently uses debcrossgen which does not support cross
    GObject-Introspection, so for now we need to opt-in to using
    `meson env2mfile` instead.
    We need to run dconf-cli from the build architecture, since we will
    be unable to run it from the host architecture in general.
  * d/copyright: Don't quote the FSF's former postal address
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Aug 2025 10:53:47 +0100

gdm3 (49~beta-0ubuntu1) questing; urgency=medium

  * New upstream release
    - The greeter no longer runs under the gdm user; instead it uses a
      temporary user dynamically allocated at runtime
    - /var/lib/gdm3 is now only used for the greeter-dconf-defaults
  * d/control: Drop dependency on dbus-daemon
  * d/control: Require gnome-session 49~beta
  * d/patches: Refresh patches
  * d/rules: Drop meson options working-dir, screenshot-dir, ran-once-marker-dir
  * d/libgdm1.symbols: Add new symbols
  * d/default.pa: Drop obsolete pulseaudio workaround

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 05 Aug 2025 14:37:42 +0200

gdm3 (49~alpha.1-0ubuntu2) questing; urgency=medium

  * d/control: Drop long unused dependency on Xephyr
  * d/control: Drop dependency on Xorg

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 04 Aug 2025 14:26:18 +0200
