=== debian/control ===
--- 
+++ 
@@ -5,23 +5,26 @@
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: check (>= 0.9.4),
-               dconf-cli (>= 0.19.90),
+               dconf-cli:native (>= 0.19.90),
                debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gir,
                dh-sequence-gnome,
+               dh-sequence-installsysusers,
                docbook-xml,
                gettext (>= 0.19.8),
+               gir1.2-gio-2.0-dev,
+               gir1.2-glib-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                gjs [amd64 arm64 armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64],
                gnome-pkg-tools (>= 0.16.3),
                gnome-settings-daemon-dev (>= 3.24.0),
-               gobject-introspection (>= 0.10.7-1~),
+               gobject-introspection (>= 1.80),
                intltool,
                iso-codes,
                itstool,
                libaccountsservice-dev (>= 0.6.35),
                libaudit-dev [linux-any],
-               libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.44.0),
                libgudev-1.0-dev (>= 232),
                libjson-glib-dev,
@@ -33,7 +36,7 @@
                meson (>= 0.57),
                pkgconf,
                systemd-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
 Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/latest
@@ -44,18 +47,16 @@
 Package: gdm3
 Architecture: amd64 arm64 armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64
 Depends: accountsservice (>= 0.6.35),
-         adduser,
          bash (>= 4.3),
          dconf-cli (>= 0.20),
          dconf-gsettings-backend (>= 0.20),
          dbus-bin | systemd-sysv,
-         dbus-daemon,
          default-dbus-system-bus | dbus-system-bus,
          default-logind [linux-any] | logind [linux-any],
          gir1.2-gdm-1.0 (= ${binary:Version}),
          ubuntu-session | gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
-         gnome-session-bin (>= 3.37.0),
-         gnome-session-common (>= 3.37.0-2~),
+         gnome-session-bin (>= 49~beta),
+         gnome-session-common (>= 49~beta),
          gnome-settings-daemon (>= 3.37.0),
          gnome-shell (>= 3.37.90),
          gsettings-desktop-schemas,
@@ -74,8 +75,6 @@
 Recommends: at-spi2-core,
             ubuntu-session | gnome-session | x-session-manager,
             x11-xkb-utils,
-            xserver-xephyr,
-            xserver-xorg,
             zenity
 Suggests: orca,
           libpam-fprintd (>= 0.8.0-2),
