## gdm3 49~rc

=== debian/changelog ===
gdm3 (49~rc-0ubuntu2) questing; urgency=medium

  * Never use Xorg for the greeter (LP: #2122294)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 09 Sep 2025 17:31:45 +0200

gdm3 (49~rc-0ubuntu1) questing; urgency=medium

  * New upstream release:
    - Fix greeter starting before a GPU driver has loaded (LP: #2115451)
  * debian: Restore support for logging into X11 sessions
    - This also restores support for running the greeter in X11 mode,
      because the two couldn't be decoupled in time for GNOME 49.
  * d/rules: Restore working-dir meson option
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 04 Sep 2025 12:00:40 +0200

gdm3 (49~beta-0ubuntu3) questing; urgency=medium

  * Make gdm3 depend on libnss-systemd (LP: #2121017)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 01 Sep 2025 17:19:47 +0800
