## gdm3 49.0.1

=== debian/changelog ===
gdm3 (49.0.1-1ubuntu2) questing; urgency=medium

  * Add d/p/userdb-Handle-missing-UID-correctly-in-user-record-query.patch.
    Fix an issue where querying the userdb service for information on uid 0
    would incorrectly return the information for one of the gdm dynamic users.
    This confused logind/polkit causing permission errors in a gdm-greeter or
    gnome-initial-setup session (LP: #2122340).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 26 Sep 2025 09:59:24 +0200

gdm3 (49.0.1-1ubuntu1) questing; urgency=medium

  * Merge with debian for new bugfix release (LP: #2125340)
    Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.sysusers: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
    + debian/greeter.dconf-defaults: keep smartcard auth enabled by default
    + Disable x11 greeter
      - add d/p/Never-use-Xorg-for-the-greeter.patch
      - d/control: Drop long unused dependency on Xephyr
      - d/control: Drop dependency on Xorg
  * Add systemd drop-in to skip snapd.session-agent in the greeter session
    (LP: #2125133)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 11:16:31 +0200

gdm3 (49.0.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * udev rules are no longer installed
  * Completely stop providing Debian custom xsession support

  [ Alessandro Astone ]
  * d/libgdm1.symbols: Add new symbols
  * d/rules: Remove obsolete meson options screenshot-dir, ran-once-marker-dir
  * Remove gcc 15 patch: applied in new release

  [ Daniel van Vugt ]
  * Make gdm3 depend on libnss-systemd (LP: #2121017)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 20:47:25 -0400
