=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
                libaccountsservice-dev (>= 0.6.35),
                libaudit-dev [linux-any],
                libglib2.0-dev (>= 2.44.0),
+               libgtk-3-dev (>= 2.91.1),
                libgudev-1.0-dev (>= 232),
                libjson-glib-dev,
                libkeyutils-dev [linux-any],
@@ -33,6 +34,11 @@
                libplymouth-dev [linux-any],
                libselinux1-dev [linux-any],
                libsystemd-dev [linux-any],
+               libwrap0-dev,
+               libx11-dev,
+               libxau-dev,
+               libxcb1-dev,
+               libxdmcp-dev,
                meson (>= 0.57),
                pkgconf,
                systemd-dev,
@@ -62,6 +68,7 @@
          gsettings-desktop-schemas,
          libgdm1 (= ${binary:Version}),
          libglib2.0-bin (>= 2.35.0),
+         libnss-systemd,
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
          librsvg2-common,
