## gdm3 49.1

=== meson_options.txt ===
--- 
+++ 
@@ -35,7 +35,8 @@
 option('user', type: 'string', value: 'gdm', description: 'GDM\'s username.')
 option('user-display-server', type: 'boolean', value: true, description: 'Enable running X server as user.')
 option('wayland-support', type: 'boolean', value: true, description: 'Enable support for wayland sessions.')
-option('x11-support', type: 'boolean', value: false, description: 'Enable support for x11 sessions.')
+option('x11-support', type: 'boolean', value: true, description: 'Enable support for x11 sessions.')
+option('working-dir', type: 'string', value: '', description: 'Working directory.')
 option('xauth-dir', type: 'string', value: '', description: 'XAuth cookie directory.')
 option('xdmcp', type: 'feature', value: 'auto', description: 'Add XDMCP (remote login) support.')
 option('dyn-home-dir', type: 'string', value: '', description: 'Parent directory for dynamic user home directories')
