=== debian/changelog ===
gdm3 (49.1-6ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.sysusers: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + debian/greeter.dconf-defaults:
      - don't set debian settings in the greeter's dconf db
      - keep smartcard auth enabled by default
    + Disable x11 greeter
      - add d/p/Never-use-Xorg-for-the-greeter.patch
      - d/control: Drop long unused dependency on Xephyr
      - d/control: Drop dependency on Xorg
    + Add systemd drop-in to skip snapd.session-agent in the greeter session
      (LP: 2125133)
    + d/control: Drop unused dependency on dbus-daemon

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 07 Nov 2025 10:16:20 +0100

gdm3 (49.1-6) unstable; urgency=medium

  * Team upload
  * d/Xsession, d/gdm3.install, d/rules:
    Restore ability to launch X11 sessions.
    Version 49.0.1-1 removed the example of a non-package-manager-provided
    X11 session, but also removed the ability to launch X11 sessions
    at all: all sessions that do not have X-GDM-BypassXsession
    in their .desktop file require an Xsession script, which was
    historically provided by Debian rather than by upstream. Restore
    that functionality.
    In a future upload we should look at whether we can use
    /etc/X11/Xsession as-is, but let's get the GNOME 49 transition
    done first.

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 19:13:51 +0000

gdm3 (49.1-5) unstable; urgency=medium

  * Team upload
  * d/control: Increase gnome-session-{bin,common} dependency to 49.
    The new version of gdm doesn't start successfully with the old
    gnome-session. The new gnome-session-bin already Breaks the older
    gdm3, but the new gdm3 didn't yet force installation of the new
    gnome-session. (Closes: #1119809)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 18:12:04 +0000

gdm3 (49.1-4) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #1116394)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 10:49:43 +0000

gdm3 (49.1-3) experimental; urgency=medium

  * Team upload
  * d/control: Remove :native annotation from dconf-cli.
    Now that dconf-cli is Multi-Arch: foreign, this is unsatisfiable.

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 16:51:20 +0000

gdm3 (49.1-2) experimental; urgency=medium

  * Team upload
  * d/control: Depend on a version of libnss-systemd with #1118640 fixed.
    Otherwise, looking up the gdm-greeter* dynamic users in shadow/gshadow
    will not work on systems that were installed as Debian 11 or older,
    and then upgraded. (Closes: #1116563, #1118454) (LP: #2121017)
  * d/greeter.dconf-defaults: Improve documentation a bit
  * d/greeter.dconf-defaults: Mention the accent colour option.
    When we reach the forky freeze and background/branding images become
    available in desktop-base, we might want to set this to a coordinating
    colour (see #1105056). Until then, leave the default commented-out.

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 15:18:06 +0000

gdm3 (49.1-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream bugfix release

  [ Luca Boccassi ]
  * Do not patch out display-manager.service alias from .service file
    (Closes: #1025349)

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Oct 2025 10:28:41 +0100
