=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: check (>= 0.9.4),
-               dconf-cli:native (>= 0.19.90),
+               dconf-cli (>= 0.19.90),
                debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gir,
@@ -61,14 +61,14 @@
          default-logind [linux-any] | logind [linux-any],
          gir1.2-gdm-1.0 (= ${binary:Version}),
          ubuntu-session | gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
-         gnome-session-bin (>= 49~beta),
-         gnome-session-common (>= 49~beta),
+         gnome-session-bin (>= 49),
+         gnome-session-common (>= 49),
          gnome-settings-daemon (>= 3.37.0),
          gnome-shell (>= 3.37.90),
          gsettings-desktop-schemas,
          libgdm1 (= ${binary:Version}),
          libglib2.0-bin (>= 2.35.0),
-         libnss-systemd,
+         libnss-systemd (>= 258.1-2~),
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
          librsvg2-common,
