=== debian/tests/control ===
Test-Command: sudo env
  OFFLINE_MODE=1
  GDM_USER=gdm
  bash debian/tests/sssd-gdm-smartcard-pam-auth-tester.sh
Features: test-name=sssd-gdm-smartcard-auth-test
Classes: desktop
Architecture: !armel
Depends: bash,
         gdm3,
         gnutls-bin,
         libpam-sss,
         openssl,
         pamtester,
         passwd,
         softhsm2,
         sssd,
         util-linux
Restrictions: breaks-testbed,
              isolation-container,
              needs-sudo,
              allow-stderr
