## gdm3 49.2

=== debian/changelog ===
gdm3 (49.2-4) unstable; urgency=medium

  [ Jonas Jelten ]
  * d/t/sssd-gdm-smartcard-pam-auth-tester: remove sssd implicit files domain
    (Closes: #1126368) (LP: #2130705)

  [ Jeremy Bícha ]
  * Branch for forky

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 18 Feb 2026 09:51:40 -0500

gdm3 (49.2-3) unstable; urgency=medium

  [ Alessandro Astone ]
  * d/tests: Add autopkgtest verifying that the greeter registers

  [ Jeremy Bícha ]
  * Remove Recommends: xserver-xorg
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Dec 2025 09:29:21 -0500

gdm3 (49.2-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * d/control: Remove obsolete dependency on dbus-daemon

  [ Jeremy Bícha ]
  * Remove support for DEB_BUILD_OPTIONS=debug

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Dec 2025 22:34:05 -0500

gdm3 (49.2-1) unstable; urgency=medium

  * New upstream release
  * Disable xdmcp; this feature is being removed for GNOME 50 anyway
  * Remove obsolete Conflicts/Replaces
  * Remove obsolete Recommends: xserver-xephyr (Closes: #792220)
  * Remove obsolete details from README.Debian
  * Add patch to support Debian's Xsession.options.d
  * Add patch from Ubuntu to have Xsession run scripts from /etc/X11/Xsession.d
  * Add patch from Ubuntu to use x-terminal-emulator instead of xterm
  * Add patch from Ubuntu to handle /etc/X11/Xresources/*
  * Fix what appears to be a mistake in the Xresources patch description
  * Use upstream's Xsession file (with some patching as mentioned above)
    (Closes: #1120328)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Nov 2025 19:38:50 -0500
