=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: gdm3
 Section: gnome
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: check (>= 0.9.4),
                dconf-cli (>= 0.19.90),
                debhelper-compat (= 13),
@@ -16,8 +14,7 @@
                gir1.2-gio-2.0-dev,
                gir1.2-glib-2.0-dev,
                gir1.2-gobject-2.0-dev,
-               gjs [amd64 arm64 armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64],
-               gnome-pkg-tools (>= 0.16.3),
+               gjs [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x],
                gnome-settings-daemon-dev (>= 3.24.0),
                gobject-introspection (>= 1.80),
                intltool,
@@ -42,25 +39,21 @@
                meson (>= 0.57),
                pkgconf,
                systemd-dev,
-Standards-Version: 4.7.2
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/latest
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
+Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
 Homepage: https://wiki.gnome.org/Projects/GDM/
 
 Package: gdm3
-Architecture: amd64 arm64 armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x
 Depends: accountsservice (>= 0.6.35),
-         bash (>= 4.3),
          dconf-cli (>= 0.20),
          dconf-gsettings-backend (>= 0.20),
          dbus-bin | systemd-sysv,
          default-dbus-system-bus | dbus-system-bus,
          default-logind [linux-any] | logind [linux-any],
          gir1.2-gdm-1.0 (= ${binary:Version}),
-         ubuntu-session | gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
+         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          gnome-session-bin (>= 49),
          gnome-session-common (>= 49),
          gnome-settings-daemon (>= 3.37.0),
@@ -80,7 +73,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: at-spi2-core,
-            ubuntu-session | gnome-session | x-session-manager,
+            desktop-base (>= 10.0.0),
+            gnome-session | x-session-manager,
             x11-xkb-utils,
             zenity
 Suggests: orca,
@@ -122,8 +116,7 @@
          libgdm1 (= ${binary:Version}),
          libglib2.0-dev (>= 2.44.0),
          ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Provides: ${gir:Provides}
 Description: GNOME Display Manager (development files)
  GDM provides the equivalent of a "login:" prompt for X displays: it
@@ -140,10 +133,7 @@
 Section: introspection
 Architecture: linux-any
 Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Conflicts: gir1.2-gdm3
-Replaces: gir1.2-gdm3
+         ${misc:Depends}
 Description: GObject introspection data for the GNOME Display Manager
  GDM provides the equivalent of a "login:" prompt for X displays: it
  asks for a login and starts graphical sessions.
