=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 # https://bugs.debian.org/1060838, https://bugs.debian.org/1111001
 export MESON_USE_NEW_CROSSGEN=1
@@ -24,10 +25,6 @@
 CONFFLAGS += \
 	-Dwayland-support=false \
 	-Dselinux=disabled
-endif
-
-ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
-CONFFLAGS += --buildtype=debug
 endif
 
 pod2man := pod2man --release="GNOME $(DEB_GNOME_VERSION)" --center="Debian GNU/Linux"
@@ -51,15 +48,18 @@
 		-Dipv6=true \
 		-Dat-spi-registryd-dir=/usr/lib/at-spi \
 		-Ddefault-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
+		-Dcustom-conf=/etc/gdm3/daemon.conf \
 		-Dsysconfsubdir=gdm3 \
 		-Dworking-dir=/var/lib/gdm3 \
 		-Dxauth-dir=/run/gdm3 \
+		-Dxdmcp=disabled \
 		-Drun-dir=/run/gdm3 \
 		-Dpid-file=/run/gdm3.pid \
 		-Dlog-dir=/var/log/gdm3 \
-		-Dgdm-xsession=true \
 		-Dpam-mod-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/security \
 		-Ddefaults-conf=/usr/share/gdm/defaults.conf \
+		-Dgdm-xsession=true \
+		-Duser=Debian-gdm -Dgroup=Debian-gdm \
 		-Dlang-file=/etc/default/locale \
 		-Dgnome-settings-daemon-dir="`pkg-config --variable=libexecdir gnome-settings-daemon`" \
 		-Dx11-support=true \
@@ -68,11 +68,9 @@
 override_dh_auto_build: $(OUTFILES) $(MANPAGES)
 	dh_auto_build
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 ifneq ($(filter gdm3,$(built_binaries)),)
 	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
-	chmod 755 debian/gdm3/etc/gdm3/Xsession
 	chmod 755 debian/gdm3/usr/share/gdm/generate-config
 	dh_installpam -pgdm3 --name=gdm-autologin
 	dh_installpam -pgdm3 --name=gdm-launch-environment
@@ -83,19 +81,10 @@
 	dh_installpam -pgdm3 --name=gdm-smartcard-pkcs11-exclusive
 endif
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_installinit:
+	dh_installinit --noscripts
 
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c4
-
-override_dh_installinit:
-	dh_installinit --noscripts --no-start
-
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -f $(MANPAGES)
 	rm -f $(OUTFILES)
 	rm -f data/gdm.schemas data/61-gdm.rules
-
-override_dh_gnome_clean:
